<app-nav-menu></app-nav-menu>
<!-- Form implementation -->
<div class="col-md-5">
  <h3 class="card-body text-info">Rent book</h3>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <input type="hidden" formControlName="Uid" [ngClass]="{ 'is-invalid': submitted && f.Uid.errors }">
    
    <div class="form-group">
      <label>Title:</label>
      <input type="text" formControlName="Title" readonly class="form-control bg-secondary text-light" [ngClass]="{ 'is-invalid': submitted && f.Title.errors }">
      <div *ngIf="submitted && f.Title.errors">
        <div *ngIf="f.Title.errors.required">Title is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>ISBN:</label>
      <input type="text" formControlName="Isbn" readonly class="form-control bg-secondary text-light" maxlength="13" minlength="13" [ngClass]="{ 'is-invalid': submitted && f.Isbn.errors }">
      <div *ngIf="submitted && f.Isbn.errors">
        <div *ngIf="f.Isbn.errors.required">ISBN is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>Reason:*</label>
      <select class="custom-select my-1 mr-sm-2 bg-light text-secondary" id="inlineFormCustomSelectPref" formControlName="Reason" [ngClass]="{ 'is-invalid': submitted && f.Reason.errors }">
        <option value="2" selected>Removing</option>
        <option value="3">Losting</option>
      </select>
      <div *ngIf="submitted && f.Reason.errors">
        <div *ngIf="f.Reason.errors.required">Reason is required</div>
      </div>
    </div>
    
    <div class="form-group">
      <label>Quantity:</label>
      <input type="text" formControlName="Quantity" class="form-control bg-secondary text-light" [ngClass]="{ 'is-invalid': submitted && f.Quantity.errors }">
      <div *ngIf="submitted && f.Quantity.errors">
        <div *ngIf="f.Quantity.errors.required">Quantity is required</div>
      </div>
    </div>

     <button type="submit" class="btn-info btn">&nbsp; Save &nbsp;</button>
  </form>
</div>